/* 利回りの計算 (保険編）*/
#include <stdio.h>
#define TAX 0.20315

int main(void)
{
  int flag; /* flag=1：実行，flag=0：終了 */

  do
  {
    int rev, pay, total, year, tax;
    double yield;
    printf("支払総額---> "); scanf("%d", &pay);
    printf("受取額---> "); scanf("%d", &total);
    printf("運用年数---> "); scanf("%d", &year);

    rev = total - pay; /* 収益金額 */
    tax = TAX * rev;   /* 税金 */ 
    /* 利回り計算 double型にキャスト */
    yield = (double)(rev - tax) / pay / year;
    yield *= 100.0;

    /* 結果の出力 */
    printf("支払総額%d円，受取額%d円，\n", pay, total);
    printf("運用年数%d年で\n", year);
    printf("収益金額%d円，税金%d円です．\n", rev, tax);
    printf("また，利回りは%f %%です．\n", yield);  

    /* 続けて実行するか？ */
    printf("まだ続けますか？【Yes:1, No:0】---> ");
    scanf("%d", &flag);
  } while ( flag );
 
  return 0;
}

