/* じゃんけんの勝敗を記録 */
#include <stdio.h>
#include <stdlib.h> /* rand関数に必要 */
#include <time.h>   /* time関数に必要 */
#define N 100      /* 最大100回 */

int main(void)
{
  int com, player, i, n; /* n:ジャンケンの回数 */
  int a[N];     /* 配列aに勝敗を記録 */

  srand(time(NULL)); /* 乱数の初期化 */

  printf("じゃんけんを何回しますか？(最大100回)--->");
  scanf("%d", &n);

  for ( i = 0; i < n; i++) {
    printf("あなたの手は？【(0)グー (1)チョキ (2)パー】--->");
    scanf("%d", &player );

    com = rand() % 3;
    
    printf("私は");  /* コンピュータの手を表示 */
    switch ( com ){
      case 0: printf("グーです\n"); break;
      case 1: printf("チョキです\n"); break;
      case 2: printf("パーです\n"); break;
    }
    if ( player == com ) {  /* 「あいこ」の判定 */
      puts("あいこです．");
      a[i] = 0 ; /* あいこは0 */
    }                    /* 「勝ち」の判定 */
    else if ( com - player == 1 || player - com == 2){
      puts("あなたの勝ち!!");
      a[i] = 1; /* 勝ちは1 */
    }else {
      puts("あなたの負け..."); /* 「勝ち」でも「負け」でもない */
      a[i] = -1;  /* 負けは-1*/
    }
  }

  puts("結果は次の通りです．-1:負け，0:あいこ, 1:勝ち");
  for ( i = 0; i < n; i++)
    printf("%d回目は(%d)です．\n", i+1, a[i] );

  return 0; 
}
