/* 6つの整数の最小値を求める */
#include <stdio.h>

int int_min2(int a, int b);  /* int_min2のプロトタイプ宣言 */
int int_min3(int a, int b, int c);  /* int_min3のプロトタイプ宣言 */
int int_min6(int a, int b, int c, int x, int y, int z);  /* int_min6のプロトタイプ宣言 */

int main(void)
{
  int a = 2, b = 8, c = 4, x = 1, y = 3, z = 5;
  printf("%d %d %d %d %d %dの最小値は", a, b, c, x, y, z);
  printf("%dです．\n", int_min6(a, b, c, x, y, z) );

  return 0;
}

/* 2つの整数の最小を返す関数 int_min2 */
int int_min2(int a, int b)
{
  return (a < b) ? a : b ;
}

/* 3つの整数の最小を返す関数 int_min3 */
int int_min3(int a, int b, int c) 
{
  return (a < b) ? ( a < c ? a : c) : ( b < c ? b : c);
}

/* 6つの整数の最小を返す関数 int_min6 */
int int_min6(int a, int b, int c, int x, int y, int z) 
{
  return int_min2(int_min3(a, b, c), int_min3(x, y, z));
}
