#include <stdio.h>

/* 2つの配列の値を入れ替える */
void array_swap(int a[], int b[], int n)
{
  int tmp;

  while ( n-- ){ /* nが0になるまで繰り返す */
    tmp = a[n]; 
    a[n] = b[n];
    b[n] = tmp;
  }
} 

int main(void)
{
  int i, n; 
  int a[] = { 1, 3, 5, 7}; /* 配列の初期化 */
  int b[] = { 2, 4, 6, 8};

  n = sizeof(a) / sizeof(a[0]); /* 配列のサイズを求める */
  puts("配列a, bの内容は次の通りです");
  for ( i = 0; i < n; i++) 
    printf("a[%d] = %d \t b[%d] = %d \n", i, a[i], i, b[i]);

  array_swap( a, b, n); /* aとbの入れかえ */
  puts("aとbを入れかえた結果は次の通りです");
  for ( i = 0; i < n; i++) 
    printf("a[%d] = %d \t b[%d] = %d \n", i, a[i], i, b[i]);
  
  return 0;
}
