/* ポインタ変数の宣言と領域確保 */
#include <stdio.h>
#include <stdlib.h> /* mallocを使うのに必要 */

int main(void)
{
  int *a, *b; /* ポインタ変数の宣言．この時点でa,bが指すオブジェクトはない */
  printf("a,bのポインタ変数の値は%p %p\n", a, b); /* a, bの値は不定  */
  
  a = (int *)malloc(sizeof(int)*1); /* aの領域を確保．aの初期化． */
  printf("aの領域確保後のポインタ変数の値は%p\n", a);   
 
  /****** 以下のアスタリスク *  は間接演算子 ******/
  *a = 100;  /* ポインタ変数aが指すオブジェクトに値を代入 */
  printf("ポインタ変数aが指すオブジェクトの値は%d\n", *a);

  return 0;
}
