/* ワイド文字の入出力(ワイド文字をマルチバイト文字へ変換) */
#include <stdio.h>
#include <stdlib.h>  /* mbstowcs, wcstombs関数を使うのに必要 */
#include <wchar.h>   /* wchar_t型を使う際にあった方がよい */
#include <locale.h>  /* setlocale関数を使うのに必要 */

int main( void )
{
  char  str[100];
  wchar_t  wstr[50];

  setlocale( LC_ALL, "" ); /* システムのロケールを利用 */

  printf("50字以内で文字列を入力してください---> ");
  scanf("%s",str); /* 多バイト文字列として入力 */
  /*ワイド文字数50字以内でワイド文字に変換 */
  mbstowcs( wstr, str, 50); 

  /* 100バイト以内でワイド文字を多バイト文字へ変換 */
  wcstombs( str, wstr, 100); 
  printf("入力した文字列は「%s」ですね?\n", str);

  return 0;
}
