/* ファイルの行数(改行の数)をカウントする */
#include <stdio.h>
#include <stdlib.h>

int main(void)
{
  FILE *fp;               /* 入力ファイル */
  int cnt = 0;            /* カウンタ */
  char str[FILENAME_MAX]; /* ファイル名 */
  char tmp;               /* 一時的に利用する文字型u変数 */

  printf("ファイル名を指定して下さい---> ");
  scanf("%s", str); 

  if ( ( fp = fopen( str, "r" ) ) == NULL ){ /* ファイルを開く */
    printf("ファイルを開けません : %s \n", str);
    exit(1);
  }
  puts("ファイルのオープンに成功しました"); /* 念のためオープンを確認 */

  while ( ( tmp = fgetc(fp) ) != EOF ){ /* EOF検出までデータを読み込む */
    if ( tmp == '\n' ) cnt++ ;      /* 改行の数を数える */   
  }
  
  fclose(fp);    /* ファイルを閉じる */

  printf("ファイル%sの行数は%dです．\n", str, cnt) ;  

  return 0;
}
