/* 成績を読み込んで合計と平均を求める */
#include <stdio.h>

#define ROW     4  /* 生徒数 */
#define COLUMN  5  /* 科目数 */

int main(void)
{     /* 4人分の成績 */
  int a[ROW][COLUMN] = { {80, 70, 64, 65, 78}, {81, 80, 65, 56, 84}, 
			 {91, 63, 88, 71, 82}, {71, 75, 74, 66, 100} };
  double b[COLUMN], c[ROW][2]; /* b：科目ごとの平均　c:生徒ごとの合計と平均　*/
  int i, j; 
  double sum;      

  /* 得点の表示 */
  puts("生徒番号: 国語，数学，理科，社会，英語");
  for ( i = 0 ; i < ROW ; i++) {
    printf("%8d：", i);
    for ( j = 0 ; j < COLUMN ; j++) {
      printf("%5d", a[i][j] );
    }
    putchar('\n');
  }

  /* 科目ごとの平均を求める */
  for ( j = 0 ; j < COLUMN; j++ ) {
    sum = 0.0;
    for ( i = 0 ; i < ROW; i++) {
      sum += a[i][j]; 
      b[j] = sum / ROW;       
    }
  }

  /* 科目ごとの平均点を表示 */
  puts("【科目ごとの平均点】");
  puts("国語， 数学， 理科， 社会， 英語");
  for ( j = 0 ; j < COLUMN; j++ ) {
    printf("%5.2f  ", b[j] );
  }
  putchar('\n');

  /* 生徒ごとに合計点と平均点を求める */
  for ( i = 0; i < ROW; i++){
    c[i][1] = 0.0;
    for ( j = 0; j < COLUMN; j++ ) {
      c[i][0] += a[i][j];
    }
    c[i][1] = c[i][0] / COLUMN;
  }
　
  /* 生徒ごとに合計点と平均点を表示 */
  puts("生徒番号: 合計  平均点");
  for ( i = 0 ; i < ROW ; i++) {
    printf("%8d：", i);
    for ( j = 0 ; j < 2 ; j++) {
      printf("%5.2f  ", c[i][j] );
    }
    putchar('\n');
  }

  return 0;
}
