/* 記憶クラス指定子とスコープの確認 */
#include <stdio.h>

int gv = 100;  /* グローバル変数．メモリに常駐．プログラム全体で有効 */

void func(void); /* プロトタイプ宣言 */

int main(void)
{
  int av = 0; /* ローカル変数, auto int av と書いてもよい */

  func(); func(); func(); /* funcを3回呼び出す */
  puts("------------------------------------------");
  printf("main内:\t av = %d \t gv = %d \n", av, gv);

  return 0;
}

void func(void)
{
  auto int av = 0; /* ローカル変数．int av = 0 と書いてもよい．
                 func終了時に消滅．呼び出される度に初期化． */
  static int sv = 10; /* static変数．func内でのみ有効．最初だけ初期化 */
  extern int gv; /* 他で定義されたgaを使うことを明示．省略可 */
  av++;  sv++;  gv++;
  printf("func内:\t av = %d \t gv = %d \t sv = %d\n", av, gv, sv);  
}
