/* ワイド文字の入出力(wscanf, wprinfを利用) */
#include <stdio.h>
#include <stdlib.h>  /* wprintf, wscanf関数を使うのに必要 */
#include <wchar.h>   /* wchar_t型を使うときにはあった方がよい(C95用) */
#include <locale.h>  /* setlocale関数を使うのに必要 */

int main( void )
{
  wchar_t ws[10];
  wchar_t wc;

  setlocale( LC_ALL, "" ); /* システムのロケールを利用 */

  wprintf(L"文字を入力してください\n");
  wscanf(L"%C", &wc);    /* 文字の入力 */
  wprintf(L"文字列を10字以内で入力してください\n");
  wscanf(L"%S", ws);     /* 文字列の入力 */
  wprintf(L"入力した文字は「%C」で文字列は「%S」です\n", wc, ws);

  return 0;
}
