/* メモリ上における構造体の配置を調べる */
#include <stdio.h>

typedef struct sample{
  short sh;   /* 2バイト */
  double db;  /* 8バイト */
  int in;     /* 4バイト */
} sample_t;

int main(void)
{
  sample_t A[2];
  short a ; double b; int c;

  /* 構造体とメンバのサイズを表示 */
  printf("short型は%dバイト, double型は%dバイト, int型は%dバイト\n",
                                 sizeof(a), sizeof(b), sizeof(c));
  printf("sample_t型は%dバイト\n", sizeof(A[0]));

  /* メンバの先頭アドレスを表示 */
  printf("shortの先頭%p, doubleの先頭%p, intの先頭%p\n",
                                    &A[0].sh, &A[0].db, &A[0].in);

  /* 各構造体の先頭アドレスを表示 */
  printf("A[0]の先頭は\t \t %p\n", &A[0]);
  printf("A[0]の次の先頭は\t %p\n", (A+1));
  printf("A[1]の先頭は\t \t %p\n", &A[1]);

  return 0;
}
